summaryrefslogtreecommitdiffstats
path: root/hosts
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-04 15:14:47 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-04 15:14:47 +0200
commit1b8c171922fc475deb12f45d0c147d9f75fff66e (patch)
treee6f86062821b14bf9df30a697bcd820f42319369 /hosts
parentdfbd71c34b82f956133e362478d6228121e6d19e (diff)
downloadjenkins.debian.net-1b8c171922fc475deb12f45d0c147d9f75fff66e.tar.xz
reproducible: add pbuilder hooks for armhf
Diffstat (limited to 'hosts')
-rwxr-xr-xhosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment12
-rwxr-xr-xhosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment12
-rwxr-xr-xhosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment12
-rwxr-xr-xhosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment12
4 files changed, 48 insertions, 0 deletions
diff --git a/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..d9550045
--- /dev/null
+++ b/hosts/bpi0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+export CAPTURE_ENVIRONMENT="I capture the environment"
diff --git a/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..d9550045
--- /dev/null
+++ b/hosts/cbxi4pro0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+export CAPTURE_ENVIRONMENT="I capture the environment"
diff --git a/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..d9550045
--- /dev/null
+++ b/hosts/hb0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+export CAPTURE_ENVIRONMENT="I capture the environment"
diff --git a/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..d9550045
--- /dev/null
+++ b/hosts/wbq0-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace than init
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing hostname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+export CAPTURE_ENVIRONMENT="I capture the environment"